play.db.evolutions

## Class Evolution

- java.lang.Object
- - play.db.evolutions.Evolution

All Implemented Interfaces:
  java.lang.Comparable<Evolution>

    public class Evolution
    extends java.lang.Object
    implements java.lang.Comparable<Evolution>

### Field Summary

Fields
`boolean` `applyUp`
`java.lang.String` `hash`
`java.lang.String` `moduleKey`
`int` `revision`
`java.lang.String` `sql_down`
`java.lang.String` `sql_up`

### Constructor Summary

Constructors
Constructor and Description
`Evolution(java.lang.String moduleKey, int revision, java.lang.String sql_up, java.lang.String sql_down, boolean applyUp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Evolution o)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### revision

    public int revision

#### sql_up

    public java.lang.String sql_up

#### sql_down

    public java.lang.String sql_down

#### hash

    public java.lang.String hash

#### applyUp

    public boolean applyUp

#### moduleKey

    public java.lang.String moduleKey

### Constructor Detail

#### Evolution

    public Evolution(java.lang.String moduleKey,
                     int revision,
                     java.lang.String sql_up,
                     java.lang.String sql_down,
                     boolean applyUp)

### Method Detail

#### compareTo

    public int compareTo(Evolution o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Evolution>`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`